Get Price Publish Status By Product
curl --request GET \
--url https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-statusimport requests
url = "https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"history": [
{
"record_key": "<string>",
"status": "<string>",
"target_key": "<string>",
"target_name": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>",
"target_env": "<string>"
}
],
"product_key": "<string>",
"scheduled": [
{
"batch_key": "<string>",
"batch_kind": "<string>",
"target_key": "<string>",
"batch_name": "<string>",
"batch_status": "approved",
"depends_on_catalog_batch_key": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_date": "<string>",
"publishing_timezone": "<string>",
"target_env": "<string>",
"target_name": "<string>"
}
],
"skus": [
{
"sku": "<string>",
"targets": [
{
"name": "<string>",
"state": "<string>",
"target_key": "<string>",
"in_flight": {
"batch_key": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"started_at": "2023-11-07T05:31:56Z"
},
"last_attempt": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"last_success": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"next_scheduled": {
"batch_key": "<string>",
"batch_kind": "<string>",
"target_key": "<string>",
"batch_name": "<string>",
"batch_status": "approved",
"depends_on_catalog_batch_key": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_date": "<string>",
"publishing_timezone": "<string>",
"target_env": "<string>",
"target_name": "<string>"
},
"target_env": "<string>"
}
]
}
],
"targets": [
{
"name": "<string>",
"state": "<string>",
"target_key": "<string>",
"in_flight": {
"batch_key": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"started_at": "2023-11-07T05:31:56Z"
},
"last_attempt": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"last_success": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"next_scheduled": {
"batch_key": "<string>",
"batch_kind": "<string>",
"target_key": "<string>",
"batch_name": "<string>",
"batch_status": "approved",
"depends_on_catalog_batch_key": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_date": "<string>",
"publishing_timezone": "<string>",
"target_env": "<string>",
"target_name": "<string>"
},
"target_env": "<string>"
}
],
"publishing_timezone": "<string>",
"truncated": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Pricing
Get Price Publish Status By Product
Per-product price publish status.
GET
/
api
/
pricing
/
records
/
product
/
{product_key}
/
publish-status
Get Price Publish Status By Product
curl --request GET \
--url https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-statusimport requests
url = "https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.merchantops.ai/api/pricing/records/product/{product_key}/publish-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"history": [
{
"record_key": "<string>",
"status": "<string>",
"target_key": "<string>",
"target_name": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>",
"target_env": "<string>"
}
],
"product_key": "<string>",
"scheduled": [
{
"batch_key": "<string>",
"batch_kind": "<string>",
"target_key": "<string>",
"batch_name": "<string>",
"batch_status": "approved",
"depends_on_catalog_batch_key": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_date": "<string>",
"publishing_timezone": "<string>",
"target_env": "<string>",
"target_name": "<string>"
}
],
"skus": [
{
"sku": "<string>",
"targets": [
{
"name": "<string>",
"state": "<string>",
"target_key": "<string>",
"in_flight": {
"batch_key": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"started_at": "2023-11-07T05:31:56Z"
},
"last_attempt": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"last_success": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"next_scheduled": {
"batch_key": "<string>",
"batch_kind": "<string>",
"target_key": "<string>",
"batch_name": "<string>",
"batch_status": "approved",
"depends_on_catalog_batch_key": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_date": "<string>",
"publishing_timezone": "<string>",
"target_env": "<string>",
"target_name": "<string>"
},
"target_env": "<string>"
}
]
}
],
"targets": [
{
"name": "<string>",
"state": "<string>",
"target_key": "<string>",
"in_flight": {
"batch_key": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"started_at": "2023-11-07T05:31:56Z"
},
"last_attempt": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"last_success": {
"record_key": "<string>",
"status": "<string>",
"amount": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"attribution": {
"actor_display": "<string>",
"actor_id": "<string>",
"approved_by_display": "<string>",
"approved_by_id": "<string>",
"batch_key": "<string>",
"batch_kind": "<string>",
"batch_name": "<string>",
"job_id": "<string>",
"trigger": "<string>"
},
"effective_from": "<string>",
"error": "<string>",
"map_sync": "<string>",
"price_type": "<string>",
"sku": "<string>"
},
"next_scheduled": {
"batch_key": "<string>",
"batch_kind": "<string>",
"target_key": "<string>",
"batch_name": "<string>",
"batch_status": "approved",
"depends_on_catalog_batch_key": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_date": "<string>",
"publishing_timezone": "<string>",
"target_env": "<string>",
"target_name": "<string>"
},
"target_env": "<string>"
}
],
"publishing_timezone": "<string>",
"truncated": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Path Parameters
Query Parameters
Required range:
1 <= x <= 1000Cookies
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes